Subject: Re: bug#57583: Guix cannot resume after hibernation

From: Ludovic Courtès <[email-masked]>
Date: Mon, 05 Sep 2022 14:51:54 +0200

Hi,

Josselin Poiret <[email-masked]> skribis:

> Yusuf Talha via Bug reports for GNU Guix <[email-masked]> writes:
>
>> I haven't encountered this problem on any other distros.  You probably realized that I encrypted my disk.  Hibernation wasn't working while I was using Guix without encryption a few months ago either.  So I don't think LUKS is the problem here.
>
>>>From what I can tell, resuming from an encrypted partition isn't
> currently supported.  This could potentially be done, though it's not my
> priority right now (and testing these kinds of features is dangerous,
> you could make a wrong move and incur heavy data loss).

I believe this is fixed by this:

  https://issues.guix.gnu.org/49475

Jack, do I get it right?

The patch in question fell through the cracks, but it actually LGTM.

Thanks,
Ludo’.